mia-meshfilter
Prev | Creation, analysis, and filtering of triangular 3D meshes | Next

### mia-meshfilter

#### Sysnopis:

`mia-meshfilter` {-i `io`} {-o `io`} [ `options` ...] [ `Plugin type: mesh/filter` ...]

#### Description:

This program runs a series filters on a given input mesh. The filters are given as extra parameters on the command line and are run in the order in which they are given. To obtain a list of available filters you may run 'mia-plugin-help mesh/filter' from the command line

#### Options:

-i, --in-file=(input, required); io

  input mesh to be filtered. For supported file types see Plugin type: mesh/io

-o, --out-file=(output, required); io

  output mesh that have been filtered. For supported file types see Plugin type: mesh/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run an isotropic scaling on input.vmesh to fit it into the box defined by the corners <0,0,0> - <128,128,128> and save the result to output.vmesh

    mia-meshfilter -i input.vmesh -o output.vmesh scale:strategy=iso-fitbox,box-start=[<0,0,0>],box-end=[<128,128,128>]

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-meshdistance-to-stackmask | Home | Help